| Home | Libraries | People | FAQ | More

## Function template is_sorted_until

boost::algorithm::is_sorted_until

## Synopsis

    // In header: <boost/algorithm/cxx11/is_sorted.hpp>

    template<typename ForwardIterator, typename Pred>
      ForwardIterator
      is_sorted_until(ForwardIterator first, ForwardIterator last, Pred p);

## Description

Parameters:

`first` | The start of the sequence to be tested.
`last` | One past the end of the sequence
`p` | A binary predicate that returns true if two elements are ordered.

Returns: | the point in the sequence [first, last) where the elements are unordered (according to the comparison predicate 'p').